# BlendDataMovieClips(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``BlendDataMovieClips`(bpy_struct)

  Collection of movie clips

  `tag`(value)

    tag

    Parameters: | value (boolean) – Value

  `remove`(clip)

    Remove a movie clip from the current blendfile.

    Parameters: | clip (`MovieClip`, (never None)) – Movie clip to remove

  `load`(filepath, check_existing=False)

    Add a new movie clip to the main database from a file

    Parameters: | filepath (string, (never None)) – path for the data-block check_existing (boolean, (optional)) – Using existing data-block if this file is already loaded
    Returns: | New movie clip data-block
    Return type: | `MovieClip`

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`BlendData.movieclips` |